<div class="mt-0">
    <div class="title mb-2">
        <h3>
          {{'humanresources.employees' | translate}}
          <div class="spinner-border" role="status" *ngIf="loading">
            <span class="visually-hidden">{{ 'shared.loading' | translate }}</span>
          </div>
        </h3>
    </div>
    <div class="mb-3">
        <div class="d-flex justify-content-end">
            <div class="d-flex align-items-center me-2">
                <span class="me-2" aria-readonly="true">{{'humanresources.filter' | translate}}</span>
                <select class="form-select me-3" aria-label="Дате" (change)="filterDate($event)">
                    <option value="" selected>{{'humanresources.date' | translate}}</option>
                    <option value="today">На сегодня</option>
                    <option value="week">За неделю</option>
                    <option value="month">За месяц</option>
                    <option value="year">За год</option>
                </select>
                <button *ngIf="authService.isHumanResource" (click)="newCandidate(create)" class="btn btn-outline-dark d-flex">
                    <i class="bi bi-plus-lg me-2"></i>{{'humanresources.add' | translate}}</button>
            </div>
        </div>
    </div>
    <div class="border rounded" *ngIf="candidatesList?.items.length !== 0">
        <table class="table table-striped">
            <thead>
                <tr class="text-center">
                    <th scope="col">№</th>
                    <th scope="col">{{'humanresources.fullname' | translate}}<a (click)="sortAz('login')"><i class="bi bi-sort-alpha-down"></i></a></th>
                    <th scope="col">{{'humanresources.position' | translate}}<a (click)="sortAz('position')"><i class="bi bi-sort-alpha-down"></i></a></th>
                    <th scope="col">{{'humanresources.tableStatus' | translate}} <a (click)="sortAz('currentStatus')"><i class="bi bi-sort-alpha-down"></i></a></th>
                    <th scope="col">{{'humanresources.tableDate' | translate}}<a (click)="sortAz('dateOfApplication')"><i class="bi bi-sort-alpha-down"></i></a></th>
                </tr>
            </thead>

            <tbody>
                <tr class="text-center" *ngFor="let item of candidatesList?.items" role="button" (click)="onDetail(item.applicationId)">
                    <td>{{item.number}}</td>
                    <td>{{getFullName(item?.user)}}</td>
                    <td>{{item.user.employeeDTO.serviceGroup?.name}}</td>
                    <td>
                        <div class="status mx-auto">{{item.applicationStatus}}</div></td>
                    <td>{{item.dateOfApplication | date: 'dd.MM.yyyy'}}</td>
                </tr>
            </tbody>
        </table>
        <ngb-pagination [collectionSize]="candidatesList?.count" (pageChange)="setPage($event)"></ngb-pagination>
    </div>
</div>
<app-empty-list *ngIf="candidatesList?.items.length === 0"></app-empty-list>

<ng-template let-modal #create>
    <div>
        <div class="modal-header">
            <h4 class="modal-title">{{'state.direct' | translate}}</h4>
            <button type="button" class="btn-close" (click)="close()"></button>
        </div>
        <div class="modal-body">
            <form [formGroup]="formCreator" >
                <div class="mb-2">
                    <label class="form-label">{{'humanresources.individual' | translate}}</label>
                    <select class="form-select" formControlName="userLogin" size="3">
                        <option [value]="user?.iin" *ngFor="let user of employees?.items">{{getFullName(user)}}</option>
                    </select>
                </div>
                <div class="mb-2">
                    <label class="form-label">{{'humanresources.cause' | translate}}</label>
                    <input type="text" class="form-control" formControlName="reason" placeholder="{{'humanresources.causeHolder' | translate}}">
                </div>
                <div class="mb-2">
                    <label class="form-label">{{'humanresources.dateDismiss' | translate}}</label>
                    <input type="date" class="form-control" formControlName="dismissalDate">
                </div>
                <div class="mb-2">
                    <label class="form-label">{{'humanresources.remainVacations' | translate}}</label>
                    <input type="number" class="form-control" formControlName="vacationBalance" placeholder="{{'humanresources.amount' | translate}}">
                </div>
                <div class="form-floating mb-2">
                    <textarea class="form-control" id="comment" formControlName="discription" cols="30" rows="10" placeholder="{{'humanresources.commentHolder' | translate}}"></textarea>
                    <label for="comment">{{'humanresources.discription' | translate}}</label>
                </div>
                <div class="mb-2">
                    <label class="form-label">{{'state.attachFile' | translate}}</label>
                    <input type="file" class="form-control" (change)="fileChange($event)">
                </div>
                <div class="row mx-auto">
                     <button class="btn btn-primary" (click)="submit()">{{'humanresources.design' | translate}}</button>
                </div>
            </form>

        </div>
    </div>
</ng-template>
